"""
Extremely basic csound5 library for python, since the current csound library is broken on OS X.  I'd rather not have to do this, but thems the breaks...

This probably works on versions of csound earlier than 5, as long as they can use the *.csd format.

$Id: __init__.py 3 2006-05-05 19:12:58Z nknouf $
"""

import sys

try:
    import logging
except ImportError:
    print "can't import logging module, quitting..."
    sys.exit(1)

# logging stuff taken (partially) from visionegg setup
logger = logging.getLogger("csound5Lib")
logger.setLevel(logging.INFO)
log_formatter = logging.Formatter('%(asctime)s (%(process)d) %(levelname)s: %(message)s')

def startLogging(maxBytes = 100000, logfile = None):
    """Create default logging instances."""

    logHandlerStderr = logging.StreamHandler()
    logHandlerStderr.setFormatter(log_formatter)
    logger.addHandler(logHandlerStderr)

    if logfile is not None:
        logfileHandler = logging.handlers.RotatingFileHandler(logfile, maxBytes)
        logfileHandler.setFormatter(log_formatter)
        logger.addHandler(logfileHandler)
